org.bootchart.common

## Class DiskTPutSample

- java.lang.Object
- - org.bootchart.common.Sample
  - - org.bootchart.common.DiskTPutSample

-     public class DiskTPutSample
      extends Sample

  Disk I/O throughput sample.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `read` Read throughput (KB/s).
    `double` | `write` Write throughput (KB/s).

    - ### Fields inherited from class org.bootchart.common.Sample

      `time, TIME_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskTPutSample(java.util.Date time, double read, double write)` Creates a new sample.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `getMaxDiskTPut(java.util.List ioSampleList)` Returns the maximum throughput seen in the sample list.
    `java.lang.String` | `toString()` Returns the string representation of the sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### read

          public double read

      Read throughput (KB/s).

    - #### write

          public double write

      Write throughput (KB/s).

  - ### Constructor Detail

    - #### DiskTPutSample

          public DiskTPutSample(java.util.Date time,
                                double read,
                                double write)

      Creates a new sample.
      Parameters:
        `time` - sample time
        `read` - read throughput
        `write` - write throughput

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the string representation of the sample.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string representation

    - #### getMaxDiskTPut

          public static double getMaxDiskTPut(java.util.List ioSampleList)

      Returns the maximum throughput seen in the sample list.
      Parameters:
        `ioSampleList` - iostat sample list
      Returns:
        maximum throughput